summaryrefslogtreecommitdiff
path: root/dev-python/sqlitedict/sqlitedict-2.1.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-12-10 17:06:24 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-12-10 17:06:24 +0000
commit39dcf1c645ff5fcf699dedf15ca0dd8accd387e2 (patch)
tree97f073ca8d2af9db0f277a1bcf7a2cd36af6a5a8 /dev-python/sqlitedict/sqlitedict-2.1.0.ebuild
parentccf8089db6ee9820aa31c43f6929462010884130 (diff)
downloadbaldeagleos-repo-39dcf1c645ff5fcf699dedf15ca0dd8accd387e2.tar.gz
baldeagleos-repo-39dcf1c645ff5fcf699dedf15ca0dd8accd387e2.tar.xz
baldeagleos-repo-39dcf1c645ff5fcf699dedf15ca0dd8accd387e2.zip
Adding metadata
Diffstat (limited to 'dev-python/sqlitedict/sqlitedict-2.1.0.ebuild')
-rw-r--r--dev-python/sqlitedict/sqlitedict-2.1.0.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/dev-python/sqlitedict/sqlitedict-2.1.0.ebuild b/dev-python/sqlitedict/sqlitedict-2.1.0.ebuild
new file mode 100644
index 000000000000..4b4ee655e678
--- /dev/null
+++ b/dev-python/sqlitedict/sqlitedict-2.1.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+DESCRIPTION="Persistent dict in Python, backed by SQLite and pickle"
+HOMEPAGE="
+ https://github.com/RaRe-Technologies/sqlitedict/
+ https://pypi.org/project/sqlitedict/
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+
+DOCS=( README.rst )
+
+distutils_enable_tests pytest
+
+python_test() {
+ mkdir -p tests/db || die
+ distutils-r1_python_test
+}